> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.senjaropay.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.senjaropay.com/_mcp/server.

# List historical exchange-rate trades

GET https://api.senjaropay.com/public/monierate/historical

Returns recent trades for a single ticker_id.
No API keys. The caller IP must be allowlisted in the SenjaroPay dashboard.
Response is a JSON array.


Reference: https://docs.senjaropay.com/api-documentation/exchange-rates/list-exchange-rate-historical

## Request

### Query parameters

- `ticker_id` (string, required) — Pair identifier from pairs or tickers (for example USD_TZS).
- `limit` (integer, optional) — Max number of trades to return.

## Response

### 200

Historical trades

- `list of ExchangeRateHistoricalTrade`

## Types

### ExchangeRateHistoricalTrade

- `ticker_id` (string, required)
- `trade_id` (string, required)
- `timestamp` (datetime, required)
- `price` (double, required)
- `base_volume` (double, required)
- `quote_volume` (double, required)
- `status` (string, required)

## Examples

**Response**

```json
[
  {
    "ticker_id": "USD_TZS",
    "trade_id": "dfeecab6-eb25-4dfe-b3ea-96cc2a408a47",
    "timestamp": "2026-11-03T07:00:54.000Z",
    "price": 2655,
    "base_volume": 3.77,
    "quote_volume": 10000,
    "status": "COMPLETED"
  },
  {
    "ticker_id": "USD_TZS",
    "trade_id": "59b08199-c3b4-442c-bcc5-7e3359dfe872",
    "timestamp": "2026-10-29T13:44:25.000Z",
    "price": 2655.77,
    "base_volume": 3.64,
    "quote_volume": 9667,
    "status": "COMPLETED"
  }
]
```

**SDK Code**

```python exchangeRates_listExchangeRateHistorical_example
import requests

url = "https://api.senjaropay.com/public/monierate/historical"

querystring = {"limit":"20","ticker_id":"USD_TZS"}

headers = {"x-api-secret": "x-api-secret"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript exchangeRates_listExchangeRateHistorical_example
const url = 'https://api.senjaropay.com/public/monierate/historical?limit=20&ticker_id=USD_TZS';
const options = {method: 'GET', headers: {'x-api-secret': 'x-api-secret'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go exchangeRates_listExchangeRateHistorical_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.senjaropay.com/public/monierate/historical?limit=20&ticker_id=USD_TZS"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-secret", "x-api-secret")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby exchangeRates_listExchangeRateHistorical_example
require 'uri'
require 'net/http'

url = URI("https://api.senjaropay.com/public/monierate/historical?limit=20&ticker_id=USD_TZS")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-secret"] = 'x-api-secret'

response = http.request(request)
puts response.read_body
```

```java exchangeRates_listExchangeRateHistorical_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.senjaropay.com/public/monierate/historical?limit=20&ticker_id=USD_TZS")
  .header("x-api-secret", "x-api-secret")
  .asString();
```

```php exchangeRates_listExchangeRateHistorical_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.senjaropay.com/public/monierate/historical?limit=20&ticker_id=USD_TZS', [
  'headers' => [
    'x-api-secret' => 'x-api-secret',
  ],
]);

echo $response->getBody();
```

```csharp exchangeRates_listExchangeRateHistorical_example
using RestSharp;

var client = new RestClient("https://api.senjaropay.com/public/monierate/historical?limit=20&ticker_id=USD_TZS");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-secret", "x-api-secret");
IRestResponse response = client.Execute(request);
```

```swift exchangeRates_listExchangeRateHistorical_example
import Foundation

let headers = ["x-api-secret": "x-api-secret"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.senjaropay.com/public/monierate/historical?limit=20&ticker_id=USD_TZS")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```